Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.beans
Class AbstractPropertyEditorComponent

    java.lang.Object
      com.atomikos.beans.AbstractPropertyEditorComponent

All Implemented Interfaces:
  PropertyEditorComponent

Direct Known Subclasses:
  CheckboxComponent, ComboBoxComponent, TableComponent, TextFieldComponent

    public abstract class AbstractPropertyEditorComponent

extends Object
implements PropertyEditorComponent

An abstract implementation of PropertyEditorComponent.

Constructor Summary
`AbstractPropertyEditorComponent()`

Method Summary
`abstract Component` | `getComponent()` To be overridden in subclasses.
`PropertyEditor` | `getPropertyEditor()` Get the property editor we delegate to.
`void` | `init(PropertyEditor editor)` Initializes the component with the editor to delegate to.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractPropertyEditorComponent

    public AbstractPropertyEditorComponent()

Method Detail

### getPropertyEditor

    public PropertyEditor getPropertyEditor()

  Description copied from interface: `PropertyEditorComponent`
  Get the property editor we delegate to.

  Specified by:
    `getPropertyEditor` in interface `PropertyEditorComponent`
  Returns:
    PropertyEditor The editor.
  See Also:
    `PropertyEditorComponent`

### init

    public void init(PropertyEditor editor)

  Description copied from interface: `PropertyEditorComponent`
  Initializes the component with the editor to delegate to.

  Specified by:
    `init` in interface `PropertyEditorComponent`
  Parameters:
    `editor` - The editor.
  See Also:
    `PropertyEditorComponent`

### getComponent

    public abstract Component getComponent()

  To be overridden in subclasses.

  Specified by:
    `getComponent` in interface `PropertyEditorComponent`
  Returns:
    Component The component.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.